import { useState, useEffect } from 'react';
import { gameInfo, getGuesses } from "../domain/GGSHService";

export default (gameId, playerName) => {
  const [finished, setFinished] = useState(false);
  const [roundInfo, setRoundInfo] = useState({currentRound: null, targetPoint: null, roundSeconds: null});

  useEffect(() => {
    const setup = async () => {
      const { currentRound } = await getGuesses(gameId, playerName);
      if (currentRound) {
        const { coords, timer } = await gameInfo(gameId);
        const targetPoint = coords[currentRound];
        setRoundInfo({ currentRound, targetPoint, roundSeconds: timer });
      } else {
        setFinished(true);
      }
    }
    setup();
  }, [gameId, playerName]);

  return [finished, roundInfo];
}